Bug 188986 - net/igmpproxy: kernel structure ip bugfix
Summary: net/igmpproxy: kernel structure ip bugfix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-25 09:50 UTC by Yuri Perejilin
Modified: 2014-10-11 14:24 UTC (History)
2 users (show)

See Also:


Attachments
file.shar (902 bytes, text/plain)
2014-04-25 09:50 UTC, Yuri Perejilin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Perejilin 2014-04-25 09:50:01 UTC
In FreeBSD 9.0 was been a lot of changes in struct ip {...}. 
In version 900044 field ip->ip_len has been changed to carry all length of packet (previosly it was be length without header's length), and all program, which use ip->ip_len, must be corrected. Unfortunately, igmpproxy doesn't update till 2009 year and don't work on FreeBSD 9/10. 
If you try to use igmpproxy now, /var/log/message you can see :
Apr 25 01:13:57 gw igmpproxy[68438]: received packet from 192.168.199.1 shorter (40 bytes) than hdr+data length (24+10216)
Apr 25 01:13:58 gw igmpproxy[68438]: received packet from 192.168.199.10 shorter (32 bytes) than hdr+data length (24+8168)
Apr 25 01:13:59 gw igmpproxy[68438]: received packet from 192.168.199.1 shorter (40 bytes) than hdr+data length (24+10216)
Apr 25 01:14:00 gw igmpproxy[68438]: received packet from 192.168.199.206 shorter (28 bytes) than hdr+data length (20+7148)

How-To-Repeat: Install port igmpproxy, and try to use it.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-25 09:50:08 UTC
Maintainer of net/igmpproxy,

Please note that PR ports/188986 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188986

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-04-25 09:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-08-07 14:54:07 UTC
Hi, if you are still interested in having this port in FreeBSD, it may (or may not) need to be reworked to support stage, and it may need updating to other newer conventions such as "USES" which is expanding all time.
For staging, see http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs
3) at least this: https://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 4 John Marino freebsd_committer 2014-10-05 22:27:26 UTC
Oops, ignore that comment.  This is not a new port.

1) Add maintainer back to CC, he got lost in bugzilla conversion
2) Consider this PR timed out, the maintainer was notified prior and didn't respond as far as I can tell.
Comment 5 commit-hook freebsd_committer 2014-10-11 14:24:15 UTC
A commit references this bug:

Author: pi
Date: Sat Oct 11 14:24:06 UTC 2014
New revision: 370646
URL: https://svnweb.freebsd.org/changeset/ports/370646

Log:
  net/igmpproxy: fix issue with changes to struct ip for fbsd 9/10

  PR:		188986
  Submitted by:	yuri@rivera.ru
  Approved by:    melifaro@ipfw.ru (maintainer timeout)

Changes:
  head/net/igmpproxy/Makefile
  head/net/igmpproxy/files/patch-Makefile
  head/net/igmpproxy/files/patch-Makefile.in
  head/net/igmpproxy/files/patch-src__os-freebsd.h
  head/net/igmpproxy/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2014-10-11 14:24:34 UTC
Committed, thanks.